"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const QilinReset = _styledComponents.createGlobalStyle`
  *,
  *::after,
  *::before {
    box-sizing: border-box;
  }

  html {
    font-size: 14px;
    font-family: -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", "Helvetica Neue", Arial, sans-serif;
  }

  body {
    margin: 0;
    padding: 0;

    overflow-x: hidden;
    overflow-y: hidden;
  }
`;
const Content = _styledComponents.default.main`
  position: absolute;

  display: flex;
  flex-direction: column;

  width: 100vw;
  height: 100vh;

  background-color: ${props => props.theme.background};
  color: ${props => props.theme.foreground};
`;

const App = ({
  theme,
  children
}) => React.createElement(_styledComponents.ThemeProvider, {
  theme: theme
}, React.createElement(React.Fragment, null, React.createElement(QilinReset, null), React.createElement(Content, null, children)));

var _default = App;
exports.default = _default;